Skip to content
Browse files

fix a regression introduced in db54adc

+ make sure bundler does not require 'less'
  • Loading branch information...
1 parent 2b9179f commit ce41ff620631811f1c47e24fd041bdccecfa132e @kares kares committed Aug 24, 2012
Showing with 2 additions and 2 deletions.
  1. +1 −1 Gemfile
  2. +1 −1 lib/rhino/error.rb
View
2 Gemfile
@@ -14,5 +14,5 @@ group :test do
else
gem 'therubyrhino_jar', :path => '.'
end
- gem 'less', '>= 2.2.1'
+ gem 'less', '>= 2.2.1', :require => nil
end
View
2 lib/rhino/error.rb
@@ -25,7 +25,7 @@ def message
# #Rhino::JS::JavaScriptException instance.
def cause
return @cause if defined?(@cause)
- if @native.respond_to?(:cause)
+ if @native.respond_to?(:cause) && @native.cause
@native.cause
else
@native.is_a?(JS::RhinoException) ? @native : nil

0 comments on commit ce41ff6

Please sign in to comment.
Something went wrong with that request. Please try again.